Sunday, July 29, 2012

Errors were encountered while processing: crossplatformui:i386 E: Sub-process /usr/bin/dpkg returned an error code (1)

We can  sort out issue  "Errors were encountered while processing:  crossplatformui:i386 E: Sub-process /usr/bin/dpkg returned an error code (1)" by by passing dpkg.

First, we have to move into dpkg dir and backup status file.

#cd /var/lib/dpkg/

#status status.orig

After that open it to edit:

# vim status

Search for a block something like that:

    Package: crossplatformui

    ..

    ..

    Package: another_package_name

Here, you have to delete only crossplatformui block. This means starting with Package: crossplatformui and till the other package block. After deleting the block try to remove it again:

#sudo dpkg -r crossplatformui

5 comments:

  1. You are great.Thanks a lot ,that fixed my prob.

    ReplyDelete
  2. This comment has been removed by the author.

    ReplyDelete
  3. superb man,helped me,Thanks a lot

    ReplyDelete
  4. Instead of removing You can change

    Status: install ok installed

    ReplyDelete
  5. i couldn't find crossplatformui in the list shown with vim.

    ReplyDelete